<script setup lang="ts">

import {QueueApi, QueueVO} from "@/api/ecg/queue";
import {RoomBedVO} from "@/api/ecg/doctor";

defineOptions({ name: 'roomscreen' })

const list = ref<QueueVO[]>([]) // 列表的数据

const roomBed : RoomBedVO = {
  roomId : null,
  roomName: null,
  bedNo: null
}

const getList = async () => {
  const data = await QueueApi.getRoomScreenData(queryParams)
  list.value = data.list
}

</script>

<template>
  <el-container>
    <el-aside width="200px">Aside</el-aside>
    <el-container>
      <el-header>Header</el-header>
      <el-main>Main</el-main>
      <el-footer>Footer</el-footer>
    </el-container>
  </el-container>
</template>

<style scoped lang="scss">

</style>
